<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>SceneType | abstract-scenes</title>
	<meta name="description" content="">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="../assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="../assets/js/search.js" data-base="..">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="../index.html" class="title">abstract-scenes</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="../globals.html">Globals</a>
				</li>
				<li>
					<a href="../modules/_scene_templates_scenetype_.html">&quot;scene-templates/SceneType&quot;</a>
				</li>
				<li>
					<a href="_scene_templates_scenetype_.scenetype.html">SceneType</a>
				</li>
			</ul>
			<h1>Enumeration SceneType</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel tsd-comment">
				<div class="tsd-comment tsd-typography">
					<div class="lead">
						<p>The types of scenes avalable.</p>
					</div>
				</div>
			</section>
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Enumeration members</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-enum-member tsd-parent-kind-enum"><a href="_scene_templates_scenetype_.scenetype.html#base" class="tsd-kind-icon">Base</a></li>
								<li class="tsd-kind-enum-member tsd-parent-kind-enum"><a href="_scene_templates_scenetype_.scenetype.html#menu" class="tsd-kind-icon">Menu</a></li>
								<li class="tsd-kind-enum-member tsd-parent-kind-enum"><a href="_scene_templates_scenetype_.scenetype.html#minigame" class="tsd-kind-icon">Minigame</a></li>
								<li class="tsd-kind-enum-member tsd-parent-kind-enum"><a href="_scene_templates_scenetype_.scenetype.html#online" class="tsd-kind-icon">Online</a></li>
								<li class="tsd-kind-enum-member tsd-parent-kind-enum"><a href="_scene_templates_scenetype_.scenetype.html#onlinemenu" class="tsd-kind-icon">Online<wbr>Menu</a></li>
								<li class="tsd-kind-enum-member tsd-parent-kind-enum"><a href="_scene_templates_scenetype_.scenetype.html#room" class="tsd-kind-icon">Room</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Enumeration members</h2>
				<section class="tsd-panel tsd-member tsd-kind-enum-member tsd-parent-kind-enum">
					<a name="base" class="tsd-anchor"></a>
					<h3>Base</h3>
					<div class="tsd-signature tsd-kind-icon">Base<span class="tsd-signature-symbol">:</span> </div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in scene-templates/SceneType.ts:5</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-enum-member tsd-parent-kind-enum">
					<a name="menu" class="tsd-anchor"></a>
					<h3>Menu</h3>
					<div class="tsd-signature tsd-kind-icon">Menu<span class="tsd-signature-symbol">:</span> </div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in scene-templates/SceneType.ts:6</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-enum-member tsd-parent-kind-enum">
					<a name="minigame" class="tsd-anchor"></a>
					<h3>Minigame</h3>
					<div class="tsd-signature tsd-kind-icon">Minigame<span class="tsd-signature-symbol">:</span> </div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in scene-templates/SceneType.ts:10</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-enum-member tsd-parent-kind-enum">
					<a name="online" class="tsd-anchor"></a>
					<h3>Online</h3>
					<div class="tsd-signature tsd-kind-icon">Online<span class="tsd-signature-symbol">:</span> </div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in scene-templates/SceneType.ts:7</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-enum-member tsd-parent-kind-enum">
					<a name="onlinemenu" class="tsd-anchor"></a>
					<h3>Online<wbr>Menu</h3>
					<div class="tsd-signature tsd-kind-icon">Online<wbr>Menu<span class="tsd-signature-symbol">:</span> </div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in scene-templates/SceneType.ts:8</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-enum-member tsd-parent-kind-enum">
					<a name="room" class="tsd-anchor"></a>
					<h3>Room</h3>
					<div class="tsd-signature tsd-kind-icon">Room<span class="tsd-signature-symbol">:</span> </div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in scene-templates/SceneType.ts:9</li>
						</ul>
					</aside>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals  ">
						<a href="../globals.html"><em>Globals</em></a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scenemanager_.html">"<wbr>Scene<wbr>Manager"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_index_.html">"index"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_minigame_.html">"scene-<wbr>templates/<wbr>Minigame"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_room_.html">"scene-<wbr>templates/<wbr>Room"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_scenebase_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Base"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_scenemenu_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Menu"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_sceneonlinebase_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Online<wbr>Base"</a>
					</li>
					<li class="current tsd-kind-external-module">
						<a href="../modules/_scene_templates_scenetype_.html">"scene-<wbr>templates/<wbr>Scene<wbr>Type"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scene_templates_starter_.html">"scene-<wbr>templates/<wbr>Starter"</a>
					</li>
					<li class=" tsd-kind-external-module">
						<a href="../modules/_scenetypeguard_.html">"scene<wbr>Type<wbr>Guard"</a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
				</ul>
				<ul class="current">
					<li class="current tsd-kind-enum tsd-parent-kind-external-module">
						<a href="_scene_templates_scenetype_.scenetype.html" class="tsd-kind-icon">Scene<wbr>Type</a>
						<ul>
							<li class=" tsd-kind-enum-member tsd-parent-kind-enum">
								<a href="_scene_templates_scenetype_.scenetype.html#base" class="tsd-kind-icon">Base</a>
							</li>
							<li class=" tsd-kind-enum-member tsd-parent-kind-enum">
								<a href="_scene_templates_scenetype_.scenetype.html#menu" class="tsd-kind-icon">Menu</a>
							</li>
							<li class=" tsd-kind-enum-member tsd-parent-kind-enum">
								<a href="_scene_templates_scenetype_.scenetype.html#minigame" class="tsd-kind-icon">Minigame</a>
							</li>
							<li class=" tsd-kind-enum-member tsd-parent-kind-enum">
								<a href="_scene_templates_scenetype_.scenetype.html#online" class="tsd-kind-icon">Online</a>
							</li>
							<li class=" tsd-kind-enum-member tsd-parent-kind-enum">
								<a href="_scene_templates_scenetype_.scenetype.html#onlinemenu" class="tsd-kind-icon">Online<wbr>Menu</a>
							</li>
							<li class=" tsd-kind-enum-member tsd-parent-kind-enum">
								<a href="_scene_templates_scenetype_.scenetype.html#room" class="tsd-kind-icon">Room</a>
							</li>
						</ul>
					</li>
				</ul>
				<ul class="after-current">
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-module"><span class="tsd-kind-icon">Module</span></li>
				<li class="tsd-kind-object-literal"><span class="tsd-kind-icon">Object literal</span></li>
				<li class="tsd-kind-variable"><span class="tsd-kind-icon">Variable</span></li>
				<li class="tsd-kind-function"><span class="tsd-kind-icon">Function</span></li>
				<li class="tsd-kind-function tsd-has-type-parameter"><span class="tsd-kind-icon">Function with type parameter</span></li>
				<li class="tsd-kind-index-signature"><span class="tsd-kind-icon">Index signature</span></li>
				<li class="tsd-kind-type-alias"><span class="tsd-kind-icon">Type alias</span></li>
				<li class="tsd-kind-type-alias tsd-has-type-parameter"><span class="tsd-kind-icon">Type alias with type parameter</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-enum"><span class="tsd-kind-icon">Enumeration</span></li>
				<li class="tsd-kind-enum-member"><span class="tsd-kind-icon">Enumeration member</span></li>
				<li class="tsd-kind-property tsd-parent-kind-enum"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-enum"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-interface"><span class="tsd-kind-icon">Interface</span></li>
				<li class="tsd-kind-interface tsd-has-type-parameter"><span class="tsd-kind-icon">Interface with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-interface"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-interface"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-interface"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-class"><span class="tsd-kind-icon">Class</span></li>
				<li class="tsd-kind-class tsd-has-type-parameter"><span class="tsd-kind-icon">Class with type parameter</span></li>
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class"><span class="tsd-kind-icon">Accessor</span></li>
				<li class="tsd-kind-index-signature tsd-parent-kind-class"><span class="tsd-kind-icon">Index signature</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-protected"><span class="tsd-kind-icon">Protected accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
				<li class="tsd-kind-accessor tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private accessor</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static property</span></li>
				<li class="tsd-kind-call-signature tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="../assets/js/main.js"></script>
<script>if (location.protocol == 'file:') document.write('<script src="../assets/js/search.js"><' + '/script>');</script>
</body>
</html>